apiVersion: apps/v1
kind: Deployment
metadata:
    name: pihole
    namespace: pihole
spec:
    selector:
        matchLabels:
            run: ENC[AES256_GCM,data:/uuRxO7M,iv:obrSpypXI7jPl16gPx2tFWkcHOtimAQgwq+/aBbMuDQ=,tag:ft0w1piAnLhnMNHhvAibQQ==,type:str]
    replicas: ENC[AES256_GCM,data:Bw==,iv:Mdoz7V8E81lvfvKM8eg9wrbL7LKYzo05mp5EPOMPKCE=,tag:UQaWHu4vaJXfFEFc+9OOWQ==,type:int]
    template:
        metadata:
            labels:
                run: pihole
        spec:
            containers:
                - name: ENC[AES256_GCM,data:m+su6MCO,iv:pF3ELxf+pBAtAu7Nx+v42zTIll0H6yJ9U5ufdHj9aY0=,tag:ngK+GMpkeqWD+lM8RAAK1A==,type:str]
                  #ENC[AES256_GCM,data:hjF2mntrG9Q9teJxUJ0pApTed7WpBKvCcRDaiD01cIAZUWSXkYYVAuRUuFs=,iv:J7/uh+5CUdSvB2bT+phd4WuE+QhCXJ0YSndbcWGW93o=,tag:crxOQHLI4GELylKxPdVBZg==,type:comment]
                  image: ENC[AES256_GCM,data:j//vUz63dKfjtRdMgzArp4YIhTg=,iv:ZoEJEcpp0MxKm08+eQSRSmeuUaP1PRLfdEYiRadZhSs=,tag:PymW8iebPmbF9Z1Pu8aekA==,type:str]
                  imagePullPolicy: ENC[AES256_GCM,data:7KCcp+dvgVIMC5ir,iv:n/NfMmj7FUh3jnpgOadmm88TaADxrHC9bPkAfVG2xcs=,tag:6BqvZZOeoOGgfxQ4DJMKyA==,type:str]
                  env:
                    - name: ENC[AES256_GCM,data:LYM=,iv:xEJkV1wURpLCCuxwSLGvh9Fls2wcU4rYFwoPwE/3hVA=,tag:ScxeIRkGNk7K7updjlNLvw==,type:str]
                      value: ENC[AES256_GCM,data:5zWupIhd3y47ibkrwg==,iv:oMsNH/iLCii8VVCqzyJkHs6/LZwUVCb51SSs7U5CTvA=,tag:ekx9yj3sKyZbyoDTR5dYog==,type:str]
                  envFrom:
                    - secretRef:
                        name: ENC[AES256_GCM,data:6HTlevDVT/uM6C/LhCEKrqI=,iv:x/YspFY/Q6gY82DjYg65TxJ5RJopXtqi2Voc8czoq24=,tag:Zp+sBZU3B+Mc8EEdsdnlyQ==,type:str]
                  securityContext:
                    privileged: ENC[AES256_GCM,data:RWzZVw==,iv:OQwf2fIOLmN/NtSftsyz+O/q4LcD/hnQev7HlLkYEz4=,tag:E0Dt6K9380A/0Y+dHU2h8g==,type:bool]
                  ports:
                    - containerPort: ENC[AES256_GCM,data:MEg=,iv:7mm5Nks2DANtQ1R0CQYCNHwqIwJ2ATfEUXpO4yEhWsE=,tag:/dqVbFwNOD4LRF3Qk5D9ww==,type:int]
                      protocol: ENC[AES256_GCM,data:LiKQ,iv:JeDHCkEDoj5o6f5KzGlRQdCS56sZVaQEfEivthN7viU=,tag:iX2uUu810aPj8xQmDW59wQ==,type:str]
                    - containerPort: ENC[AES256_GCM,data:EQE=,iv:6jMsmSxRJUlcHFXSaJLPqWQ74oxlNylzrp8cm7aCkZA=,tag:mQ4KE0JR4uM4qOaQiF7DQg==,type:int]
                      protocol: ENC[AES256_GCM,data:H3+P,iv:W3uMk/TDB/8Wx9+km9mWUjD1ihR69HIZOmxQcFjUvPs=,tag:6PUz87KWXRKSb+vL2DgvZw==,type:str]
                    - containerPort: ENC[AES256_GCM,data:zYs=,iv:G94aU1+7ntn+2rdDycQ/oJ5by2e5zWR54qlyHvhmVmA=,tag:+5E+GBicqdXmUgIlAjJSSg==,type:int]
                      protocol: ENC[AES256_GCM,data:j/ve,iv:o8x4oxyTE7qrolwh5UBvey/j4ua9MlGUBiUMKwugYMs=,tag:q0QKev4DnyjeK1s++Pdhjg==,type:str]
                    - containerPort: ENC[AES256_GCM,data:RRo=,iv:TFW1siCHaP3P2nBqbT9TP2ziawd+Ner5vTK/EV7efv4=,tag:WAzSt9cbGQstp+Lh3SLYKQ==,type:int]
                      protocol: ENC[AES256_GCM,data:qmVz,iv:KhjfONzrFIQdp8PbTJQEjqTLa75SX+yYMKB06gkayfg=,tag:xjzCXWb7qMF7VWab7X27ug==,type:str]
                    - containerPort: ENC[AES256_GCM,data:rt/G,iv:JrQD2uaHGUACM9CU8CLXop17ywbccHJmYhgVUo2I5+A=,tag:/8+GBQ/LiZ8tI8M4ZUKwvg==,type:int]
                      protocol: ENC[AES256_GCM,data:jlvF,iv:OmFvZhopv4v+YJoNFFbFwcjaZM8oYNeGNHgLCiK/lg8=,tag:fpzME0QbfsccCZpRWoJO5A==,type:str]
                  volumeMounts:
                    - name: ENC[AES256_GCM,data:YzHRG0/CebKmZZA=,iv:06k/VdIk6FgMQnXXS+8b7F+0LzMU2m8F9F4EBZzUOBE=,tag:F68lkeC/ZbLtNpzHmgK4Lw==,type:str]
                      mountPath: ENC[AES256_GCM,data:PhU1Pn+78vRhVS4=,iv:6nNW3SXYJKRZpIyQQLYeNe7Ur5xB+iYbXbFShoR52q8=,tag:ayuOMHodGEXPdbPpaL4/fw==,type:str]
                      subPath: ENC[AES256_GCM,data:T8EOyeS4,iv:04z5kUfy1o2Qqd//XK2NCrugcp1e4gKe5nZlybif0dg=,tag:PhGN79kd4Au6ge1aTwIl8Q==,type:str]
                    - name: ENC[AES256_GCM,data:nTFALFsMimi9wPY=,iv:9gCw519hEBnIMrfZw2khdlQZiC6Zg7g9cbvtfZtahcw=,tag:SfBq95ruTB7P2TJa2ZptEw==,type:str]
                      mountPath: ENC[AES256_GCM,data:g4sxyKGJVWP7wkDmgtk=,iv:gh6VIXOOb7lgORnPPfToAr3TJN04ElBfRnfUobtXNK0=,tag:f0Sc4R67X5wegUZjCj8zcQ==,type:str]
                      subPath: ENC[AES256_GCM,data:dnrNmP9Lv2go,iv:My1iGXPeJ/eEmIyNpHF3fEbfoiXVkHd3zQ9Cg6oDm8U=,tag:tVfFNvINF6GdqfRwiqVx4Q==,type:str]
                  resources:
                    requests:
                        memory: ENC[AES256_GCM,data:sooz8UA=,iv:Gln4JcTfl/td6oSJ0tEhfymT13wlC3rA2qaDL5Uh73Y=,tag:qd0KnytkPhP6GNlRpN55EA==,type:str]
                        cpu: ENC[AES256_GCM,data:QMI7LQ==,iv:WAtXoxR7sBQgg6cCKuevFnkpaf863XUp7dpxS0x05k0=,tag:etlBC57SUzgi+j5KAbUwUA==,type:str]
                    limits:
                        memory: ENC[AES256_GCM,data:+6v+,iv:xla6sYX4r5Pz4GMnPQ6tA/Sb36ZewG281c9ttQYxlgM=,tag:KK++xCvj688GCks+ocdJ5A==,type:str]
                        cpu: ENC[AES256_GCM,data:Xg==,iv:LJwjTVpMmys5QeO4AmKIWGFld99jInDveq8fW4GzDZA=,tag:CXiZYx+19bDZo3We8x7dzQ==,type:int]
            volumes:
                - ENC[AES256_GCM,data:C7058BkMfNo04mlOm1CV6HLWRsIINx7pjyfCOhvxib+WA6N7ig==,iv:8TvQZ3xT1dTDsgNLCcOYb7ryOuzawqdmWRyddvggRrs=,tag:MpJ1a3LcqstL6z99MJJcsQ==,type:comment]
                - name: ENC[AES256_GCM,data:OyOmbYH48Hw0Occ=,iv:BePQc4spwiElEJ0ayXwVVD0/qV0seaqJnw83faCWAUs=,tag:dQ3fDJBSzigOCiIPqbeaJA==,type:str]
                  persistentVolumeClaim:
                    claimName: ENC[AES256_GCM,data:+ciV8Cr2I8kFgg==,iv:HuQ5FayWYMjIHK0spSZhPpcecdWmjYlfB6hLkTooTXI=,tag:4GtfRzmmw2RePQAGyH3+ug==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBydlRhNFR5Ykt3VHRlMTVF
            TGVHVFlWa3RrK3lFY0JMNU1NZmhYeXo2NW1jClMwQ1NPZ2V4aHBWaTlxanhvTlhu
            VWhhT1BmcmNNRW1OV0tWckIwTTNTY2MKLS0tIDVieUdZaUFTTk4zRWpObzl4M3pX
            b0pjMzBacmE5RTVnR01Ddm1QekYwYWsKiigExJVnXb3IKVxQXL4fth80cdYUYpUA
            tU7jqp631XA8XtxyoWDbiLgfPUp4NZjOYx5zI3N9u78zt7Ff/RNffw==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-29T21:31:00Z"
    mac: ENC[AES256_GCM,data:WIQmm+FrWc0XAO3mhtvCVNI97c1OTtqUUuoxA2fez1rFQSraphxGG8yUNa6X8F8wuws2IbOLJ/BRiMZBe+nENGJ2uW2A3kAJJPYfo5KiRdnZARdKRVdxyHXdPvWSL0YmdYD7WD5QJ7qSGbCy1Bd6kFjRFyz5+gAQer4Yklxs+zE=,iv:egTUHSHLEhDfr6v9qCQ7duw6A3U21LT/0NLAqPDEFgs=,tag:rs/r9F67YYBl9AMdvwR8bw==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
